/*
 * generated by Xtext 2.19.0
 */
package fr.istic.parser.antlr;

import com.google.inject.Inject;
import fr.istic.parser.antlr.internal.InternalMMLParser;
import fr.istic.services.MMLGrammarAccess;
import org.eclipse.xtext.parser.antlr.AbstractAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;

public class MMLParser extends AbstractAntlrParser {

	@Inject
	private MMLGrammarAccess grammarAccess;

	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	

	@Override
	protected InternalMMLParser createParser(XtextTokenStream stream) {
		return new InternalMMLParser(stream, getGrammarAccess());
	}

	@Override 
	protected String getDefaultRuleName() {
		return "MMLModel";
	}

	public MMLGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(MMLGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
